Skip to main content
GET
/
api
/
v1
/
templates
List Templates
curl --request GET \
  --url https://api.example.com/api/v1/templates/ \
  --header 'Authorization: Bearer <token>'
{
  "templates": [
    {
      "template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "content": {
        "subject": "<string>",
        "body": "<string>"
      },
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.bavlio.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer
default:1

Page number

Required range: x >= 1
page_size
integer
default:20

Items per page

Required range: 1 <= x <= 100

Response

Successful Response

Response model for template list.

templates
TemplateResponse · object[]
required

List of templates

total
integer
required

Total number of templates